.single-movie-card {
    display: grid;
    grid-auto-flow: column;
    grid-template-columns: max(30%, 100px) 60%;
    grid-template-rows: max(100%, 305px);
    margin: 3% 0px;
}

.movie-poster {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.single-movie-description {
    height: 100%;
    width: 100%;
    padding-left: 5%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.single-movie-container {
    width: 80%;
    margin: 0 auto;
}

.movie-site {
    margin: 5% 0
}

.search-result-container {
    width: 90%;
    margin: 0 auto;
}

.header {
    background: url(https://png.pngtree.com/thumb_back/fw800/back_our/20190621/ourmid/pngtree-creative-black-gold-21st-shanghai-international-film-festival-banner-image_194431.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    color: white;
    opacity: 0.9;
}

.favorite-movies-conatiner {
    display: grid;
    justify-content: space-evenly;
    gap: 10px;
    grid-template-columns:repeat(5, 19%);
    margin-bottom: 10px;
}

.favorites-container {
    text-align: center;

}

.favorites-container h1 {
    margin: 3% 0;
}

.show-favorite-title {
    opacity:0;
    background-color: black;
    transition: all 0.5s;
}

.show-favorite-title:hover {
    opacity: 0.8;

}

.favorite-card-image {
    max-width: 50vw;
    max-height: 30vw;
    object-fit: cover;
    }
.movie-card {
    margin: 4% 0;
}